Bug 137742 - missing property errors
missing property errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-31 16:18 EST by Douglas Furlong
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.14-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 17:04:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Furlong 2004-10-31 16:18:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I open up sound-juicer to rip a CD.

I receive the error

No CD-ROM drives found.

Sound Juicer could not find any CD-ROM drives to read.

I have one IDE drive, and a SCSI driver (burner).

When running sound-juicer from the command line I am presented with
this error.

[sylvester@slaney ~]$ sound-juicer

** (sound-juicer:2625): WARNING **: Can't read /proc/scsi/sg/device_strs

** (sound-juicer:2625): WARNING **: Can't read /proc/scsi/sg/device_strs

** (sound-juicer:2625): WARNING **: Can't read /proc/scsi/sg/device_strs

Please let me know if I can provide any more information.


Version-Release number of selected component (if applicable):
sound-juicer-0.5.14-1

How reproducible:
Always

Steps to Reproduce:
1. Open sound juicer to copy a cd.
2.
3.
    

Actual Results:  Error message is returned informing me no devices are
found

Expected Results:  Allowed to copy Audio CD's

Additional info:

cat /proc/scsi/scsi 
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: EXABYTE  Model: EXB-89008E030203 Rev: V41j
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 02 Lun: 00
  Vendor: GENERIC  Model: CRD-BP4          Rev: 4.28
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor:          Model: USB Card Reader  Rev: 1.01
  Type:   Direct-Access                    ANSI SCSI revision: 02
Comment 2 Douglas Furlong 2004-10-31 16:28:09 EST
I have upgraded to the above RPM, and get this when running sound
juicer from the command line.

sound-juicer 
libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device
 with id /org/freedesktop/Hal/devices/block_11_0
libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device
 with id /org/freedesktop/Hal/devices/block_11_0

However, it detects the drivers, and allows me to copy music from them.
Comment 3 Colin Walters 2004-10-31 16:32:56 EST
Thanks.  That RPM is in the FC4 tree already, and will be released as
an FC3 update.

I will investigate the other error.
Comment 4 Douglas Furlong 2004-10-31 16:36:27 EST
Some additoinal information.

I am also seeing this error message appearing from time to time while
copying the music. I'm not sure how much of a problem this causes.


(sound-juicer:2795): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:2795): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

It does not appear to be causing any problems.

Please let me know if you need any testing, as I'm more then happy to
lend a helping hand.
Comment 5 Douglas Furlong 2004-10-31 16:50:15 EST
Some additional information (should I have waited before posting all
of this?).

The CD that I was copying has 20 Tracks on it, however on track 13
sound-juicer closed with a segmentation fault, and only wrote 58bytes
of data for the 13th track.

I have started to rip the CD again, starting at track 13, and it
appears to be copying okay.

I shall continue the copy, and if I get no more problems, I will try
to rip it from the begining again. Hopefully I will be able to obtain
a reproducable error.
Comment 6 Douglas Furlong 2004-10-31 17:19:54 EST
Okay, I was able to rip to the end of the CD including the original
track that sound-juicer segfaulted on.

However, I tried to re-rip the cd from the begining, and it has
segfaulted another time. This time on track 14 but also after writing
58bytes of data.

Here is the output (which probably isn't at all helpful).

[sylvester@slaney ~]$ sound-juicer 
libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device with id /org/freedesktop/Hal/devices/block_11_0
libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device with id /org/freedesktop/Hal/devices/block_11_0

(sound-juicer:2950): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:2950): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:2950): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:2950): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:2950): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed
Segmentation fault


Please let me know how I would go about getting more information to
help fix this problem.
Comment 8 Douglas Furlong 2004-11-03 14:24:46 EST
I still get the below error messages, but no more segfaults.

libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device with id /org/freedesktop/Hal/devices/block_11_0
libhal.c 990 : Error sending msg: No property storage.cdrom.read_speed
on device with id /org/freedesktop/Hal/devices/block_11_0
Comment 9 Colin Walters 2004-11-03 15:11:24 EST
David: any thoughts on why a CD-ROM could be missing the read_speed
property?

Douglas: Thanks, good to know the patch fixes the segfaults.
Comment 10 David Zeuthen 2004-11-03 15:27:27 EST
Comment 9: Yeah, the drive needs to be at least MMC-2 compliant.

Douglas, what year is your drive from and what is the make and model?
It seems this is the SCSI one (major 11, minor 0) we're talking about.
Comment 11 Douglas Furlong 2004-11-03 15:52:21 EST
I will have to open up the device to be sure of the model, but it is
about 4 years old if that helps?

I'll see about opening up the case tomorrow (currently restoring from
some backups).
Comment 12 David Zeuthen 2004-11-03 16:40:57 EST
Thanks Douglas; I think MMC-2 is from late 1999 so it's not completely
unlikely your drive doesn't support this; no need to open the case. 

Colin: is it necessary to get the drive speed for sound juicer?
Alternatively, can sj without hal figure out the speed? If so, I'd
like to use that code instead.

Cheers,
David
Comment 13 Colin Walters 2004-11-03 17:04:58 EST
David: I think the code for querying the speed was just copied from
nautilus-cd-burner (which obviously wants it to know how fast to burn
CDs).  As far as I can tell, sound-juicer never looks at the return
value.  So we can just ignore it.  

The major bug (segfaults) are fixed in rawhide, so closing.

Note You need to log in before you can comment on or make changes to this bug.